<ng-template appPlaceholder></ng-template>
<div class="row">
  <div class="col-xs-12 col-md-6 col-md-off">
<!--    <div class="alert alert-danger" *ngIf="error">-->
<!--      <p>{{error}}</p>-->
<!--    </div>-->
<!--    <app-alert [message]="error" *ngIf="error" (close)="onHandleError()"></app-alert>-->
    <div *ngIf="isLoading" style="text-align: center">
      <app-loading-spinner></app-loading-spinner>
    </div>
    <form #authForm="ngForm" (ngSubmit)="onsubmit(authForm)" *ngIf="!isLoading">
      <div class="form-group">
        <label for="email">E-Mail</label>
        <input type="email"
               id="email"
               class="form-control"
               ngModel
               required
               name="email"
               email>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password"
               id="password"
               class="form-control"
               name="password"
               ngModel
               required
               minlength="6"
        >
      </div>
      <div>
        <button class="btn btn-primary" type="submit"
                [disabled]="authForm.invalid">{{ isLoginMode ? 'Login' : 'Sign Up' }}
        </button>
        |
        <button class="btn btn-primary" (click)="onSwitchMode()" type="button">
          Switch to {{ isLoginMode ? 'Sign Up' : 'Login' }}
        </button>
      </div>
    </form>
  </div>
</div>
